Preview of the next Blender exporter

The place for artists, modellers, level designers et al to discuss their approaches for creating content for OGRE.
Post Reply
User avatar
mcaden
Goblin
Posts: 206
Joined: Wed Jul 02, 2008 9:29 am
Location: Texas, USA
Contact:

Post by mcaden » Sun Sep 21, 2008 6:58 am

I used the one from August 31st
0 x

User avatar
mcaden
Goblin
Posts: 206
Joined: Wed Jul 02, 2008 9:29 am
Location: Texas, USA
Contact:

Update!

Post by mcaden » Tue Sep 23, 2008 9:12 am

AHA! Problem solved.

I had the problem again but this time it wasn't related to the mesh so I knew it wasn't blender.

http://www.ogre3d.org/phpBB2/viewtopic.php?t=44573

Texture thrashing...I was using oversized textures. The reason closing blender solved it the first time is that my textures were just under my vid card capabilities...then I fully textured my rat (at the time of the previous problem I was using a placeholder) and it re-appeared without blender.

The first time blender was taking up some of my video memory bumping me over my limit...the 2nd time it was my larger texture...same cause.

I've compressed my textures and reduced their size...everything works great now.
0 x

jettero heller
Gnoblar
Posts: 13
Joined: Sat Sep 06, 2008 3:28 pm

Post by jettero heller » Tue Oct 07, 2008 11:08 pm

Hi everybody :)

I posted a question about the new blender exporter in another thread but I probably wrong thread :oops: ... this is the link...

http://www.ogre3d.org/phpBB2/viewtopic. ... 787#308787

tnx.
0 x

User avatar
rogerdv
Gnome
Posts: 351
Joined: Fri May 09, 2003 10:43 pm
Location: Cuba
Contact:

Post by rogerdv » Mon Oct 20, 2008 2:33 pm

Any new version? Blender has released several new versions and exporter works only for 2.44.
0 x

User avatar
mcaden
Goblin
Posts: 206
Joined: Wed Jul 02, 2008 9:29 am
Location: Texas, USA
Contact:

Post by mcaden » Tue Oct 21, 2008 12:46 am

rogerdv wrote:Any new version? Blender has released several new versions and exporter works only for 2.44.
BlenderOgreExporterPatched.zip (31.08.2008) works just fine for me in 2.47. It's on the previous page of the thread.
0 x

jettero heller
Gnoblar
Posts: 13
Joined: Sat Sep 06, 2008 3:28 pm

Post by jettero heller » Mon Oct 27, 2008 12:32 pm

Hi.

Wich versione of dot scene importer should I use with this exporter??

I tried the importers from the wiki (both dotscene with userdata and new dot scene loader) and the official dotscene interface but they fail to set the right orientation because there is a different sintax for some items.

tnx
0 x

wraitii
Gnoblar
Posts: 20
Joined: Thu Mar 27, 2008 7:12 pm

Post by wraitii » Sun Nov 16, 2008 9:48 am

Hi everybody.

I've got a weird problem on my Mac 10.5.5 when trying to use the Blender exporter ( either the one from the SVN repository, or the one from august 31st ).

The main script loads correctly, asks me where the ogrepkg is and then, when I try to run the script, it says :

Python script error : check console ( btw, I don't know where that is,if anybody knows... ) when reaching the line 232: "from ogrepkg import *".

I've tried using the last Python version, still not working. Any idea?
0 x

User avatar
Beauty
OGRE Community Helper
OGRE Community Helper
Posts: 767
Joined: Wed Oct 10, 2007 2:36 pm
Location: Germany
Contact:

Post by Beauty » Mon Dec 08, 2008 3:28 pm

Bug report with Blender 248.1

My old exporter (file date of November 2007) works well.
But the current one from SVN has problems:
Compiled with Python version 2.5.2.
Checking for installed Python... got it!
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Programme\Blender Foundation\Blender\.blender\scripts\ogremeshesexporter.py", line 1885, in <module>
application = MeshExporterApplication()
File "C:\Programme\Blender Foundation\Blender\.blender\scripts\ogremeshesexporter.py", line 1646, in __init__
self.preferencesScreen = PreferencesScreen()
File "C:\Programme\Blender Foundation\Blender\.blender\scripts\ogremeshesexporter.py", line 253, in __init__
locationLayout = VerticalLayout(cbLayout, True)
TypeError: __init__() takes exactly 2 arguments (3 given)
Line 253: locationLayout = VerticalLayout(cbLayout, True)

By the way:
It would be nice if the exporter script get a version number, even if it's still the release date of SVN. Now it's just 'n/a'.
0 x
Help to add information to the wiki. Also tiny edits will let it grow ... :idea:
Add your country to your profile ... it's interesting to know from where of the world you are.

User avatar
lf3thn4d
Orc
Posts: 478
Joined: Mon Apr 10, 2006 9:12 pm

Post by lf3thn4d » Tue Dec 09, 2008 3:32 pm

Very odd. It looks like your SVN version is not fully updated. You might want to try updating it again. I've just did some minor changes as well. Also set the version to 1.0 now as it's proven to be quite stable. ;)
0 x

User avatar
Beauty
OGRE Community Helper
OGRE Community Helper
Posts: 767
Joined: Wed Oct 10, 2007 2:36 pm
Location: Germany
Contact:

Post by Beauty » Tue Dec 09, 2008 4:36 pm

On the wiki page is a link to the SVN on http://ogre.svn.sourceforge.net/viewvc/ ... nderExport (and a direct link to the current version).

The last update is 3 months old and its log entry is something like Merged revisions (many ones?).

Maybe there some changes were lost?
The function in line 253 has only 2 parameters (as I wrote).

http://ogre.svn.sourceforge.net/viewvc/ ... iew=markup
0 x
Help to add information to the wiki. Also tiny edits will let it grow ... :idea:
Add your country to your profile ... it's interesting to know from where of the world you are.

User avatar
lf3thn4d
Orc
Posts: 478
Joined: Mon Apr 10, 2006 9:12 pm

Post by lf3thn4d » Tue Dec 09, 2008 5:54 pm

your problem file should be the gui.py file. I added some features to give a cleaner look to the exporter. Most likely the file is not in sync. Check the file's revision number. It should be at least 7557.
0 x

User avatar
Beauty
OGRE Community Helper
OGRE Community Helper
Posts: 767
Joined: Wed Oct 10, 2007 2:36 pm
Location: Germany
Contact:

Post by Beauty » Wed Dec 10, 2008 11:48 am

ok, now it works. My gui.py file date was from 2006. I didn't know that other files than ogremeshesexporter.py are needed.
I updated the wiki page.
0 x
Help to add information to the wiki. Also tiny edits will let it grow ... :idea:
Add your country to your profile ... it's interesting to know from where of the world you are.

User avatar
lf3thn4d
Orc
Posts: 478
Joined: Mon Apr 10, 2006 9:12 pm

Post by lf3thn4d » Wed Dec 10, 2008 2:13 pm

Cool. Do note that the official forum page now is at http://www.ogre3d.org/phpBB2/viewtopic.php?t=45922. I'll fix the link in the wiki.
0 x

jonim8or
Goblin
Posts: 287
Joined: Mon Dec 08, 2008 4:49 pm

Post by jonim8or » Wed Dec 10, 2008 2:17 pm

I've got python 2.6 and I can't get the contents of the tar.gz file to work.
As suggested on the blender site, I've added an environment variable PYTHONPATH to tell where python is.

When exporting the simple cube, it sais "Error: python installation not found", while the console reads:

Code: Select all

H:\tools\blender-2.48a-windows>blender.exe
Compiled with Python version 2.5.2.
C:\Program Files\Python\Lib\site.py:150: Warning: 'with' will become a reserved
keyword in Python 2.6
'import site' failed; use -v for traceback
Warning: could not determine argv[0] path
Checking for installed Python... C:\Program Files\Python\Lib\site.py:150: Warnin
g: 'with' will become a reserved keyword in Python 2.6
No installed Python found.
Only built-in modules are available.  Some scripts may not run.
Continuing happily.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "H:\tools\blender-2.48a-windows\.blender\scripts\ogremeshesexporter.py",
line 211, in <module>
    import webbrowser
  File "C:\Program Files\Python\lib\webbrowser.py", line 5, in <module>
    import os
  File "C:\Program Files\Python\Lib\os.py", line 757
    bs = b""
           ^
SyntaxError: invalid syntax
Any ideas on this?
0 x

User avatar
lf3thn4d
Orc
Posts: 478
Joined: Mon Apr 10, 2006 9:12 pm

Post by lf3thn4d » Wed Dec 10, 2008 2:23 pm

Your problem is because blender is compiled with python 2.5.2 and you are using python 2.6

Try getting 2.5.2

Btw, get the latest exporter from the link I mentioned in the last post. Wiki's download link is now pointed to that page.
0 x

User avatar
Beauty
OGRE Community Helper
OGRE Community Helper
Posts: 767
Joined: Wed Oct 10, 2007 2:36 pm
Location: Germany
Contact:

Post by Beauty » Wed Dec 10, 2008 4:49 pm

Jackmoe made a changed the source URL in the wiki. Now I know why I had an old script version.
The right SVN URL is .../viewvc/ogre/branches/v1-6/Tools/BlenderExport/
instead of .../viewvc/ogre/trunk/Tools/BlenderExport/

Also I added a remark to the wiki that Python 2.5.2 has to be installed.
0 x
Help to add information to the wiki. Also tiny edits will let it grow ... :idea:
Add your country to your profile ... it's interesting to know from where of the world you are.

johnDonson
Gnoblar
Posts: 6
Joined: Wed Jul 02, 2008 12:46 pm

Re: Preview of the next Blender exporter

Post by johnDonson » Sat Jan 03, 2009 9:44 pm

wraitii wrote:Hi everybody.
I've got a weird problem on my Mac 10.5.5 when trying to use the Blender exporter ( either the one from the SVN repository, or the one from august 31st ).
The main script loads correctly, asks me where the ogrepkg is and then, when I try to run the script, it says :
Python script error : check console ( btw, I don't know where that is,if anybody knows... ) when reaching the line 232: "from ogrepkg import *".
I've tried using the last Python version, still not working. Any idea?
Same here. OS X 10.5.5/blender 248.1/python 2.5.2/newest ogre exporter. I get something like this:

Code: Select all

1/3/09 9:42:56 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]   File "/Applications/blender/blender.app/Contents/MacOS/.blender/scripts/ogrepkg/materialexport.py", line 719, in ? 
1/3/09 9:42:56 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]     class CustomMaterial(RenderingMaterial): 
1/3/09 9:42:56 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]   File "/Applications/blender/blender.app/Contents/MacOS/.blender/scripts/ogrepkg/materialexport.py", line 742, in CustomMaterial 
1/3/09 9:42:56 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]     class Template(string.Template): 
1/3/09 9:42:56 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444] AttributeError: 'module' object has no attribute 'Template' 
1/3/09 9:43:11 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444] Traceback (most recent call last): 
1/3/09 9:43:11 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]   File "<string>", line 1, in ? 
1/3/09 9:43:11 PM [0x0-0x8f08f].org.blenderfoundation.blender[1444]   File "/Applications/blender/blender.app/Contents/MacOS/.blender/scripts/ogremeshesexporter.py", line 232, in ? 
have you found a solution wraitii?

Thanks, and love the new forum look by the way :)

Sorry for the mess, I rushed with asking stupid questions on the forum. I have python 2.5.2 on my system but had the 2.3 version of blender. Problem solved, lesson learned :)
0 x

Ident
Gremlin
Posts: 155
Joined: Thu Sep 17, 2009 8:43 pm
Location: Austria
x 1
Contact:

Re: Preview of the next Blender exporter

Post by Ident » Wed Sep 17, 2014 6:16 pm

This doesn't seem to work with 2.7.1
See also: http://gamedev.stackexchange.com/questi ... ender-2-59

I am not sure how i can run this script there. I managed to do it in 2.4.9b though, which should be the last version with the old script usage.
0 x

Post Reply